Skip to main content
GET
/
tenant-auth
/
v1
/
groups
/
{groupId}
/
versions
List all versions of a group (audit history)
curl --request GET \
  --url https://api.swarmd.ai/tenant-auth/v1/groups/{groupId}/versions \
  --header 'Authorization: Bearer <token>'
{
  "totalElements": 123,
  "totalPages": 123,
  "first": true,
  "last": true,
  "size": 123,
  "content": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "permissions": [
        {}
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "isDefault": true,
      "isAdmin": true,
      "version": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "permissions": [
          {}
        ],
        "firstName": "<string>",
        "lastName": "<string>",
        "source": "<string>",
        "groupIds": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ]
      },
      "reason": "<string>"
    }
  ],
  "number": 123,
  "sort": {
    "empty": true,
    "sorted": true,
    "unsorted": true
  },
  "pageable": {
    "offset": 123,
    "sort": {
      "empty": true,
      "sorted": true,
      "unsorted": true
    },
    "pageNumber": 123,
    "pageSize": 123,
    "paged": true,
    "unpaged": true
  },
  "numberOfElements": 123,
  "empty": true
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

groupId
string<uuid>
required

Query Parameters

pageable
object
required

Response

200 - */*

OK

totalElements
integer<int64>
totalPages
integer<int32>
first
boolean
last
boolean
size
integer<int32>
content
object[]
number
integer<int32>
sort
object
pageable
object
numberOfElements
integer<int32>
empty
boolean